/**
 * Helper service for returning information extracted from repository image metadata.
 */
angular.module('quay').factory('ImageMetadataService', ['UtilService', function(UtilService) {
  var metadataService = {};
  metadataService.getFormattedCommand = function(image) {
    if (!image || !image.command || !image.command.length) {
      return '';
    }

    var getCommandStr = function(command) {
      // Handle /bin/sh commands specially.
      if (command.length > 2 && command[0] == '/bin/sh' && command[1] == '-c') {
        return command[2];
      }

      return command.join(' ');
    };

    return getCommandStr(image.command);
  };

  metadataService.getEscapedFormattedCommand = function(image) {
    return UtilService.textToSafeHtml(metadataService.getFormattedCommand(image));
  };

  return metadataService;
}]);